Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_MT_MEM_IO Class Reference

`#include <MEM_IO.h>`

Inheritance diagram for ACE_MT_MEM_IO:

[legend]
Collaboration diagram for ACE_MT_MEM_IO:

[legend]
List of all members.

## Public Methods
| ACE_MT_MEM_IO (void)
virtual | ~ACE_MT_MEM_IO (void)
virtual int | init (ACE_HANDLE handle, const ACE_TCHAR *name, MALLOC_OPTIONS *options)
virtual ssize_t | recv_buf (ACE_MEM_SAP_Node *&buf, int flags, const ACE_Time_Value *timeout)
virtual ssize_t | send_buf (ACE_MEM_SAP_Node *buf, int flags, const ACE_Time_Value *timeout)
## Private Attributes
Channel | recv_channel_
Channel | send_channel_

## Constructor & Destructor Documentation

ASYS_INLINE ACE_MT_MEM_IO::ACE_MT_MEM_IO | ( | void |  | ) |

ACE_MT_MEM_IO::~ACE_MT_MEM_IO | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int ACE_MT_MEM_IO::init | ( | ACE_HANDLE | handle,
|  | const ACE_TCHAR * | name,
|  | MALLOC_OPTIONS * | options
| ) | `[virtual]`

| Initialize the MEM_SAP object. Reimplemented from ACE_MEM_SAP.

ssize_t ACE_MT_MEM_IO::recv_buf | ( | ACE_MEM_SAP_Node *& | buf,
|  | int | flags,
|  | const ACE_Time_Value * | timeout
| ) | `[virtual]`

| Fetch location of next available data into <recv_buffer_>. As this operation read the address of the data off the socket using ACE::recv, <timeout> only applies to ACE::recv. Reimplemented from ACE_MEM_SAP.

ssize_t ACE_MT_MEM_IO::send_buf | ( | ACE_MEM_SAP_Node * | buf,
|  | int | flags,
|  | const ACE_Time_Value * | timeout
| ) | `[virtual]`

| Wait to to <timeout> amount of time to send <buf>. If <send> times out a -1 is returned with <errno == ETIME>. If it succeeds the number of bytes sent is returned. Reimplemented from ACE_MEM_SAP.

## Member Data Documentation

Channel ACE_MT_MEM_IO::recv_channel_`[private]`

Channel ACE_MT_MEM_IO::send_channel_`[private]`

The documentation for this class was generated from the following files:

- MEM_IO.h
- MEM_IO.cpp
- MEM_IO.i